classification
Title: Python 2.7.8 Release does not update the system Path variable
Type: enhancement Stage: resolved
Components: Windows Versions: Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: Ekrem Saban, paul.moore, steve.dower, terry.reedy, tim.golden, zach.ware
Priority: normal Keywords:

Created on 2017-07-27 07:32 by Ekrem Saban, last changed 2017-07-29 02:57 by steve.dower. This issue is now closed.

Messages (3)
msg299294 - (view) Author: Ekrem Saban (Ekrem Saban) Date: 2017-07-27 07:32
The Python 2.7.8 installer should also modify the system path variable so that typing "python" in any command window would not result in an error:
"The command "python" is either written wrong or could not be found."
msg299448 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-07-29 02:31
We are guessing that you are using Windows.  The 2.7.8 installer is years old and will not be changed.  The same is true for any released installer.

I believe that the 2.7 installers already give one the *option* to change the path.  If so, this issue should be closed.  Please try out the 2.7.13 installer.

Changing the path should not be done automatically.
msg299449 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2017-07-29 02:57
Correct. This is already in newer installers.
History
Date User Action Args
2017-07-29 02:57:41steve.dowersetstatus: open -> closed
resolution: out of date
messages: + msg299449

stage: resolved
2017-07-29 02:31:53terry.reedysetnosy: + terry.reedy
messages: + msg299448
2017-07-28 04:38:36ned.deilysetnosy: + paul.moore, tim.golden, zach.ware, steve.dower

components: + Windows, - Installation
versions: + Python 2.7
2017-07-27 07:32:14Ekrem Sabancreate